<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/ll_group"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black_80"
    android:gravity="center"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="@dimen/dp_400"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_black_default_shape">

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="@dimen/dp_400"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_black_top_radius5_shape"
            android:ellipsize="marquee"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:gravity="center_vertical"
            android:marqueeRepeatLimit="marquee_forever"
            android:paddingStart="@dimen/dp_13"
            android:paddingTop="@dimen/dp_10"
            android:paddingEnd="@dimen/dp_30"
            android:paddingBottom="@dimen/dp_10"
            android:singleLine="true"
            android:text="伴奏播放"
            android:textColor="@color/white"
            android:textSize="@dimen/dp_16"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/iv_volume"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="@dimen/dp_10"
            android:src="@drawable/ic_volume"
            app:layout_constraintBottom_toBottomOf="@id/tv_title"
            app:layout_constraintEnd_toStartOf="@id/iv_add"
            app:layout_constraintTop_toTopOf="@id/tv_title" />

        <ImageView
            android:id="@+id/iv_add"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="@dimen/dp_10"
            android:src="@drawable/ic_live_teaching_accompaniment_add"
            app:layout_constraintBottom_toBottomOf="@id/tv_title"
            app:layout_constraintEnd_toStartOf="@id/iv_close"
            app:layout_constraintTop_toTopOf="@id/tv_title" />

        <ImageView
            android:id="@+id/iv_close"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="@dimen/dp_10"
            android:src="@drawable/ic_live_teaching_close"
            app:layout_constraintBottom_toBottomOf="@id/tv_title"
            app:layout_constraintEnd_toEndOf="@id/tv_title"
            app:layout_constraintTop_toTopOf="@id/tv_title" />


        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_189"
            android:overScrollMode="never"
            android:paddingTop="@dimen/dp_9"
            android:paddingBottom="@dimen/dp_20"
            android:scrollbars="vertical"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_title"
            tools:listitem="@layout/layout_accompaniment_list_item" />

        <View
            android:id="@+id/view"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_43"
            android:layout_marginStart="@dimen/dp_24"
            android:layout_marginEnd="@dimen/dp_24"
            android:layout_marginBottom="@dimen/dp_20"
            android:background="@drawable/bg_black_radius7_shape"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/recyclerView" />

        <ImageView
            android:id="@+id/iv_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/dp_30"
            android:padding="@dimen/dp_5"
            android:src="@drawable/ic_live_teaching_accompaniment_back"
            app:layout_constraintBottom_toBottomOf="@id/iv_play"
            app:layout_constraintEnd_toStartOf="@id/iv_play"
            app:layout_constraintTop_toTopOf="@id/iv_play" />

        <ImageView
            android:id="@+id/iv_play"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_15"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginEnd="@dimen/dp_35"
            android:layout_marginBottom="@dimen/dp_10"
            android:src="@drawable/ic_live_teaching_accompaniment_start"
            app:layout_constraintBottom_toBottomOf="@id/view"
            app:layout_constraintEnd_toEndOf="@id/view"
            app:layout_constraintStart_toStartOf="@id/view"
            app:layout_constraintTop_toTopOf="@id/view" />

        <ImageView
            android:id="@+id/iv_next"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_30"
            android:padding="@dimen/dp_5"
            android:src="@drawable/ic_live_teaching_accompaniment_next"
            app:layout_constraintBottom_toBottomOf="@id/iv_play"
            app:layout_constraintStart_toEndOf="@id/iv_play"
            app:layout_constraintTop_toTopOf="@id/iv_play" />

        <TextView
            app:layout_constraintEnd_toEndOf="@id/iv_volume"
            app:layout_constraintStart_toStartOf="@+id/iv_volume"
            app:layout_constraintTop_toBottomOf="@+id/iv_volume"
            android:id="@+id/tv_seekbar_process"
            android:textSize="@dimen/sp_14"
            android:textColor="@color/white"
            android:visibility="gone"
            android:gravity="center"
            android:layout_width="@dimen/dp_25"
            android:layout_height="20dp"
            android:text="100" />
        <!--        音量控制-->
        <com.h6ah4i.android.widget.verticalseekbar.VerticalSeekBarWrapper
            android:id="@+id/seekbar_wrapper"
            android:layout_width="@dimen/dp_25"
            android:layout_height="@dimen/dp_125"
            android:background="#292929"
            android:visibility="gone"
            android:gravity="center_horizontal"
            app:layout_constraintEnd_toEndOf="@id/iv_volume"
            app:layout_constraintStart_toStartOf="@+id/iv_volume"
            app:layout_constraintTop_toBottomOf="@+id/tv_seekbar_process">

            <com.h6ah4i.android.widget.verticalseekbar.VerticalSeekBar
                android:id="@+id/seeker_bar"
                android:layout_width="@dimen/dp_20"
                android:layout_height="@dimen/dp_90"
                android:max="100"
                android:maxHeight="@dimen/dp_4"
                android:minHeight="@dimen/dp_4"
                android:paddingStart="10dp"
                android:paddingEnd="10dp"
                android:progress="100"
                android:progressDrawable="@drawable/volume_seekbar_layer"
                android:splitTrack="false"
                android:thumb="@drawable/bg_volume_seekbar_progress_shape"
                android:thumbOffset="@dimen/dp_2"
                app:seekBarRotation="CW270" />
        </com.h6ah4i.android.widget.verticalseekbar.VerticalSeekBarWrapper>

    </androidx.constraintlayout.widget.ConstraintLayout>
</LinearLayout>